org.apache.fop.svg.font

## Class FOPGVTFontFamily

- java.lang.Object
- - org.apache.fop.svg.font.FOPGVTFontFamily

- All Implemented Interfaces:
    org.apache.batik.gvt.font.GVTFontFamily

      public class FOPGVTFontFamily
      extends Object
      implements org.apache.batik.gvt.font.GVTFontFamily

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPGVTFontFamily(FontInfo fontInfo, String familyName, FontTriplet triplet, org.apache.batik.gvt.font.GVTFontFace fontFace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FOPGVTFont` | `deriveFont(float size, AttributedCharacterIterator aci)`
    `FOPGVTFont` | `deriveFont(float size, Map attrs)`
    `String` | `getFamilyName()`
    `org.apache.batik.gvt.font.GVTFontFace` | `getFontFace()`
    `FontInfo` | `getFontInfo()`
    `String` | `getFontKey()`
    `FontTriplet` | `getFontTriplet()`
    `boolean` | `isComplex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FOPGVTFontFamily

          public FOPGVTFontFamily(FontInfo fontInfo,
                                  String familyName,
                                  FontTriplet triplet,
                                  org.apache.batik.gvt.font.GVTFontFace fontFace)

  - ### Method Detail

    - #### getFontInfo

          public FontInfo getFontInfo()

    - #### getFontTriplet

          public FontTriplet getFontTriplet()

    - #### getFontKey

          public String getFontKey()

    - #### getFamilyName

          public String getFamilyName()

      Specified by:
        `getFamilyName` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### getFontFace

          public org.apache.batik.gvt.font.GVTFontFace getFontFace()

      Specified by:
        `getFontFace` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### deriveFont

          public FOPGVTFont deriveFont(float size,
                                       AttributedCharacterIterator aci)

      Specified by:
        `deriveFont` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### deriveFont

          public FOPGVTFont deriveFont(float size,
                                       Map attrs)

      Specified by:
        `deriveFont` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### isComplex

          public boolean isComplex()

      Specified by:
        `isComplex` in interface `org.apache.batik.gvt.font.GVTFontFamily`

Copyright © 2025 Apache Software Foundation. All rights reserved.